%global momorel 2
%global md5sum_src0 9a8c9eb26b48787c84024ac779f64bb2

# Reflects the values hard-coded in various Makefile.am's in the source tree.
%define dictpath %{_datadir}/cracklib/pw_dict

Summary: A password-checking library.
Name: cracklib
Version: 2.8.9
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/cracklib/cracklib-%{version}.tar.gz %{md5sum_src0}
Source1: http://dl.sourceforge.net/cracklib/cracklib-words.gz

Source10: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Domains.gz
Source11: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Dosref.gz
Source12: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Ftpsites.gz
Source13: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/Jargon.gz
Source14: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/common-passwords.txt.gz
Source15: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/computer/etc-hosts.gz
Source16: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Movies.gz
Source17: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Python.gz
Source18: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/movieTV/Trek.gz
Source19: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/LCarrol.gz
Source20: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/Paradise.Lost.gz
Source21: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/cartoon.gz
Source22: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/myths-legends.gz
Source23: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/sf.gz
Source24: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/literature/shakespeare.gz
Source25: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/ASSurnames.gz
Source26: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Congress.gz
Source27: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Family-Names.gz
Source28: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/Given-Names.gz
Source29: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/famous.gz
Source30: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/fast-names.gz
Source31: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/female-names.gz
Source32: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/male-names.gz
Source33: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/names.french.gz
Source34: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/names.hp.gz
Source35: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/other-names.gz
Source36: ftp://ftp.cerias.purdue.edu/pub/dict/wordlists/names/surnames.finnish.gz
URL: http://sourceforge.net/projects/cracklib/
License: Artistic
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gzip, python-devel, words
Obsoletes: %{name}-devel < %{version}-%{release}
Conflicts: cracklib-dicts < 2.8

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics, with the purpose of stopping users
from choosing passwords that are easy to guess. CrackLib performs
several tests on passwords: it tries to generate words from a username
and gecos entry and checks those words against the password; it checks
for simplistic patterns in passwords; and it checks for the password
in a dictionary.

CrackLib is actually a library containing a particular C function
which is used to check the password, as well as other C
functions. CrackLib is not a replacement for a passwd program; it must
be used in conjunction with an existing passwd program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you install
CrackLib, you will also want to install the cracklib-dicts package.

%package dicts
Summary: The standard CrackLib dictionaries.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: words >= 2-13

%description dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/share/dict/words. Cracklib-dicts also
contains the utilities necessary for the creation of new dictionaries.

If you are installing CrackLib, you should also install cracklib-dicts.

%prep
%setup -q
autoreconf
mkdir cracklib-dicts
for dict in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} \
            %{SOURCE15} %{SOURCE16} %{SOURCE17} %{SOURCE18} %{SOURCE19} \
            %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} \
            %{SOURCE25} %{SOURCE26} %{SOURCE27} %{SOURCE28} %{SOURCE29} \
            %{SOURCE30} %{SOURCE31} %{SOURCE32} %{SOURCE33} %{SOURCE34} \
            %{SOURCE35} %{SOURCE36} %{SOURCE1}
do
	cp -fv ${dict} cracklib-dicts/
done

%build
%configure --with-pic --with-python
make

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
./util/cracklib-format cracklib-dicts/* | \
./util/cracklib-packer %{buildroot}/%{dictpath}
sed s,/usr/lib/cracklib_dict,%{dictpath},g lib/crack.h > %{buildroot}/%{_includedir}/crack.h
ln -s cracklib-format %{buildroot}/%{_sbindir}/mkdict
ln -s cracklib-packer %{buildroot}/%{_sbindir}/packer
touch %{buildroot}/top

toprelpath=..
touch %{buildroot}/top
while ! test -f %{buildroot}/%{_libdir}/$toprelpath/top ; do
	toprelpath=../$toprelpath
done
rm -f %{buildroot}/top
ln -s $toprelpath%{dictpath}.hwm %{buildroot}/%{_libdir}/cracklib_dict.hwm
ln -s $toprelpath%{dictpath}.pwd %{buildroot}/%{_libdir}/cracklib_dict.pwd
ln -s $toprelpath%{dictpath}.pwi %{buildroot}/%{_libdir}/cracklib_dict.pwi
rm -f %{buildroot}/%{_libdir}/python*/site-packages/cracklibmodule.*a
rm -f %{buildroot}/%{_libdir}/libcrack.la

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%triggerpostun -- cracklib < 2.7-24
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README README-WORDS NEWS doc/LICENCE AUTHORS
%{_includedir}/*
%{_libdir}/libcrack.so*
%{_libdir}/libcrack.a*
%{_libdir}/python*/site-packages/cracklibmodule.so
%dir %{_datadir}/cracklib
%{_datadir}/cracklib/cracklib.magic
%{_sbindir}/*cracklib*

%files dicts
%defattr(-,root,root)
%{_datadir}/cracklib/pw_dict.*
%{_libdir}/cracklib_dict.*
%{_sbindir}/mkdict
%{_sbindir}/packer

%changelog
* Wed Mar 28 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.8.9-2m)
- roll back to 2.8.9

* Thu Mar 22 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.8.10-1m)
- up to 2.8.10

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.8.9-1m)
- update 2.8.9

* Sun Jun 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.8.6-2m)
- revise %%files

* Thu May 11 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.6-1m)
- version up

* Wed Jan 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8.3-2m)
- add BuildRequires: gcc-c++ for cpp check fail

* Mon Aug  1 2005 Yohsuke Ooi  <meke@momonga-linux.org>
- (2.8.3-1m)
- sync FC-devel

- revised docdir permission
* Sat Feb 19 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.7-20m)
- revised docdir permission

* Fri Jan 14 2005 Toru Hoshina <t@momonga-linux.org>
- (2.7-19m)
- enable x86_64.

* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.7-18m)
- change URI

* Thu Oct  9 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.7-17m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Mar 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.7-16m)
- change Source URI

* Sat Oct 26 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.7-15m)
- sync with redhat-8.0(cracklib-2.7-18)
- remove -fstack-protector(because of build failure...)

* Wed May 22 2002 Masaru Sato <masachan@kondara.org>
- (2.7-14k)
- Fix Makefile, install /usr/include/packer.h

* Fri Jan 18 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.7-12k)
- obey fhs
- add BuildPreReq

* Wed Apr  4 2001 Shingo Akagaki <dora@Kondara.org>
- make static lib
- make devel package

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Dec 10 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.7
- build shared libraries

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added -fPIC

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- basic spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

